/**
 * Zhlt alle Vorkommen eines Buchstaben in einem String.
 * 
 * @author Owyn
 * @version 2007-05-02
 */
public class LetterCounter {

    String text;

    /**
     * Erzeugt ein Objekt der Klasse und initialisiert es mit einem Text.
     * 
     * @param text  Der Text, in dem Buchstaben gezhlt werden sollen.
     */
    LetterCounter(String text) {
        this.text = text;
    }

    /**
     * Zhlt alle Vorkommen eines Buchstabens im String text.
     * 
     * @param letter  Der Buchstabe, dessen Vorkommen gezhlt werden soll.
     * @return        Die Anzahl der Vorkommen von letter.
     */
    public int count (char letter) {
        int temp = 0;
        for (int i = 0; i < text.length(); i++) {
            if (text.charAt(i)==letter) temp++;
        }
        return temp;
    }

}
